# ApiGenerateExternalVaultSetupArgs Data Model

Arguments used for the command to generate the external vault setup template

Properties
name | data type | description
--- | --- | ---
remoteRepoUrl | string | The url of the remote repository where the private cloud artifacts to install are hosted
namespace | string | The namespace of the CDP Private control plane
vaultAddr | string | Optional. The address the of external vault

Example

    {
      "remoteRepoUrl" : "...",
      "namespace" : "...",
      "vaultAddr" : "..."
    }